package lt.bit.draudimas.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lt.bit.draudimas.entities.Owner;
import lt.bit.draudimas.repositories.OwnerRepository;

@Service
public class OwnerService {
	
	@Autowired
	OwnerRepository ownerRepository;
	
	public List<Owner> getOwners(){
		return ownerRepository.findAll();
	}
	
	public Owner addOwner(Owner owner) {
		return ownerRepository.save(owner);
	}

}
